/**
* js-highlight-match-words v7.0.10 by sunsilent
* @license MIT
**/
import * as __WEBPACK_EXTERNAL_MODULE_js_match_words__ from "js-match-words";
function generate(matchResult, config) {
    const { values } = matchResult;
    let res = '';
    values.forEach((val)=>{
        res += createHtml(val, config);
    });
    return res;
}
function createHtml(val, config) {
    const options = config[val.value];
    const { activeClassName, activeStyle, activeIndex, className, highlightClassName, highlightStyle, highlightTag } = options || {};
    const cls = `${className || ''} ${highlightClassName || ''} ${val.index === activeIndex ? activeClassName || '' : ''}`;
    const style = `${highlightStyle || ''} ${val.index === activeIndex ? activeStyle || '' : ''}`;
    if (!highlightTag) return val.value;
    return `<${highlightTag} class="${cls}" style="${style}">${val.value}</${highlightTag}>`;
}
function highlight(options) {
    const { source, searchWords, config } = options;
    return generate((0, __WEBPACK_EXTERNAL_MODULE_js_match_words__.matchWords)({
        source,
        searchWords
    }), config);
}
export { createHtml, generate, highlight };
